AM_CFLAGS = $(LAL_CFLAGS) $(LAL_LIBS) -Wall -Wunused -Wextra

lib_LTLIBRARIES = libbayeswave.la

libbayeswave_la_SOURCES = \
	BayesLine.c \
	BayesWaveIO.c \
	BayesWaveMath.c \
	BayesWaveModel.c \
	BayesWaveWavelet.c \
	BayesWavePrior.c \
	BayesWaveLikelihood.c \
	BayesWaveProposal.c \
	BayesWaveEvidence.c \
	BayesWaveMCMC.c

libbayeswave_la_LIBADD = $(LAL_LIBS)

noinst_HEADERS = \
	BayesLine.h \
	BayesWave.h \
	BayesWaveEvidence.h \
	BayesWaveIO.h \
	BayesWaveLikelihood.h \
	BayesWaveMCMC.h \
	BayesWaveMath.h \
	BayesWaveModel.h \
	BayesWavePrior.h \
	BayesWaveProposal.h \
	BayesWaveWavelet.h

bin_PROGRAMS = \
	BayesWave \
	BayesWavePost \
	BayesWaveCleanFrame \
	BayesWaveToLALPSD \
        BayesWaveFpeak

# Link libbayeswave, liblal, etc. with all programs
LDADD = libbayeswave.la
